CSS 2.7 to 2.8 Script Conversion Tool

213 viewsGeneral
-1

Hi all, We have just released a CSS 2.7 to 2.8 conversion tool for your scripts which you can access here.

Who is this for?

For our long term users who have been with us for over a year and are still using CSS 2.7, 

There were a number of big changes between versions 2.7 and 2.8 which caused scripts exported from 2.7 to not completely import correctly into 2.8. 
This wasn’t too much of a problem for people with smaller scripts but there are those of you out there with scripts containing a huge amount of mappings and having to reconfigure everything is probably a daunting task. 

The above tool allows you to convert your script into a 2.8 ready version, which you can then simply import into 2.8. 

Adds missing data

It will automatically include data which is missing if you try to do a direct export/import form 2.7 to 2.8. 
Modes, Tracks and Devices will be assigned via this tool.
 

CSS 2.7 is about to be disabled

As we announced in a recent email, CSS 2.7 will no longer be usable when we migrate our systems in the next couple of weeks.
So we recommend exporting your scripts from 2.7 and into 2.8 NOW!

ewersk Answered question June 1, 2024
Attached Files:
0

Thanks for the conversion tool. but still working on this error: Error validating mappings
Mappings in your script contain errors, these must be fixed before the script can be generated.

is there a better way I can find in which part of my big script is the error locate?

admin Changed status to publish May 22, 2024
Attached Files:
0

Hello!
I found that the conversion tool has some issues:
1) it miss to put the values of Relative to session box position (yes/no)
2) it miss to put the values of Include folders tracks (yes/no)
3) in conditions when you use expressions Ex. (Number) equal to, etc you need to rewrite it again in all the places that you use expressions.
4) in Modes, It happens to me that you need or make a new Mode and move manual all you script to it because somethings it doesn’t recognize the old one.
hope it may help someone in the process of moving from 2.7 to 2.8.4

admin Changed status to publish May 22, 2024
Attached Files:
1

Hi mamajuana,

Thanks for your feedback.
I have gone through your list and here are the results:

1) it miss to put the values of Relative to session box position (yes/no)

– Fixed
2) it miss to put the values of Include folders tracks (yes/no)

– Fixed
3) in conditions when you use expressions Ex. (Number) equal to, etc you need to rewrite it again in all the places that you use expressions.

– Cannot replicate. I added a reaction with the following condition:
latest velocity value (number) is equal to – 12
-
There is a message displayed “a new version is available” but this isn’t a 2.7 to 2.8 conversion issue. You can ignore it or reselect the option to get the updated code.
4) in Modes, It happens to me that you need or make a new Mode and move manual all you script to it because somethings it doesn’t recognize the old one.

– Cannot replicate. I added multiple modes (4) and they all imported along with their assigned mappings.

All fixes above are now available in the conversion tool.

admin Changed status to publish May 22, 2024
Attached Files:
0

OK John … Using these two (really complex, compared to your own midimix-script it has nay additional features) 2.7-scripts, your converter freezes in any browser directly after hitting the Upload-Button (I’ve tested with Safari, Brave, Chrome, Firefox all on an M1pro-Macbook).

I stayed with the old 2.7, which does not work any more!

If you will not be able to send me converted scripts within the next 2 weeks that import painlessly into 2.8 with all mapping running out of the box there, I want my money back. Sorry & Thx in advance.

Kai

ewersk Answered question June 1, 2024